@media (max-width: 560px) {
    .archive {
        margin: 0 -10px;
    }
}

.archive__period {
    font-weight: 700;
    font-size: 32px;
    line-height: 1;
    display: flex;
    align-items: center;
    justify-content: end;
    text-transform: uppercase;
    padding: 32px 24px 20px;
    position: relative;
}

@media (max-width: 479px) {
    .archive__period {
        justify-content: center;
    }
}

.archive__period::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 1px;
    right: 0;
    left: 0;
    top: calc(50% + 3px);
    background-color: #E3E7E8;
}

.archive__period-title {
    display: block;
    background-color: #fff;
    color: var(--gray-color);
    padding: 0 16px;
    z-index: 2;
}

.archive__period-title:hover {
    text-decoration: none;
    color: var(--primary-color);
}

.archive-date {
    font-size: 12px;
    line-height: 1.25;
    display: flex;
    align-items: center;
    text-align: center;
    color: #85A7AD;
}

.archive-date__day {

}

.archive-date__month {

}

.archive__wrapper {
    background-color: #fff;
    border-radius: 4px;
    margin-bottom: 32px;
}

.archive__body {
    flex: 1 1 auto;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    position: relative;
    padding: 0 16px 16px;
}

@media (max-width: 768px) {
    .archive__body {
        grid-template-columns: repeat(2, 1fr);
        padding: 0;
    }
}

@media (max-width: 560px) {
    .archive__body {
        grid-template-columns: 1fr;
    }
}

.archive-item {
    border-radius: 4px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    padding: 12px 16px;
}

a.archive-item:hover {
    text-decoration: none;
    background-color: #f4f4f4;
}

a.archive-item:hover .archive-item__read {
    background-color: #52747a;
}

.archive-item__image {
    min-width: 60px;
    height: 60px;
    position: relative;
}

.archive-item__image_noimage {

}

.archive-item__image img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 50%;
}

.archive-item__body {
    width: 100%;
    margin-left: 16px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.archive-item__content {
    flex: 1 1 auto;
}

.archive-item__name {
    font-size: 14px;
    color: #3D575C;
    font-weight: 600;
    line-height: 130%;
}

.archive-item__text {
    font-size: 13px;
    line-height: 150%;
    display: flex;
    width: 100%;
    justify-content: center;
    color: var(--gray-color);
}

.archive-item__read {
    margin: 14px auto 0;
    width: 145px;
}

.archive__bottom {
    padding: 0 16px 32px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.btn-archive-bottom {

}

.archive-filter {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 32px;
}

.archive-news-filter__custom-number {
    display: flex;
    justify-content: center;
    position: relative;
    height: 40px;
    margin-left: auto;
}

.archive-news-filter__number {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: transparent;
    transition: var(--transition);
    cursor: pointer
}

.archive-news-filter__number:hover {
    color: #fff;
    background-color: rgba(0, 0, 0, 0.3);
}

input[type="number"].archive-news-filter__input {
    height: 40px;
    border: 1px solid var(--border-color);
    align-items: center;
    display: inline-flex;
    border-radius: 33px;
    padding-right: 20px;
    transition: var(--transition);
    box-sizing: border-box;
    text-align: center;
    -moz-appearance: textfield;
    -webkit-appearance: textfield;
    appearance: textfield;
    margin: 0 8px;
    max-width: 120px;
    letter-spacing: 2px;
    font-weight: 600;
    font-size: 1.4em;
    color: var(--gray-color);
}

input[type="number"].archive-news-filter__input::-webkit-outer-spin-button,
input[type="number"].archive-news-filter__input::-webkit-inner-spin-button {
    display: none;
}
